Project

General

Profile

Bug #11297

strongSwan doesn't support wildcard certificates

Added by Danilo Zrenjanin about 1 month ago. Updated about 1 month ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
IPsec
Target version:
Start date:
01/23/2021
Due date:
% Done:

100%

Estimated time:
Affected Version:
All
Affected Architecture:

Description

Wildcard certificates are declared deprecated in RFC 6125.

A check which would prevent users from adding a wildcard certificate to the IPsec setup would be helpful.

https://wiki.strongswan.org/issues/794

https://wiki.strongswan.org/projects/strongswan/wiki/FAQ#Wildcard-Certificates

Associated revisions

Revision 1b165375 (diff)
Added by Viktor Gurov about 1 month ago

IPsec wildcard certificates input validation. Implements #11297

History

#2 Updated by Jim Pingle about 1 month ago

  • Status changed from New to Pull Request Review
  • Target version set to CE-Next

#3 Updated by Jim Pingle about 1 month ago

  • Status changed from Pull Request Review to Feedback
  • Assignee set to Viktor Gurov
  • Target version changed from CE-Next to 2.5.0

#4 Updated by Viktor Gurov about 1 month ago

  • % Done changed from 0 to 100

#5 Updated by Danilo Zrenjanin about 1 month ago

  • Status changed from Feedback to Resolved

Tested on the latest release. It works as expected. Ticket resolved.

Also available in: Atom PDF